<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- <title>START Summit Expedition</title> -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <!-- <link rel="shortcut icon" href="https://www.startsummit.ch/hubfs/summit-polygon.png"> -->

    <!-- <link rel="stylesheet" href="public/style.css" /> -->
    <style>
      @import "../public/style.css";
    </style>
  </head>
  
  <body>
    <main>
      <div class="mb-5">
        <h1 class="text-center h-upper d-none d-md-block h1-large">START Summit Expedition</h1>
        <h1 class="text-center h-upper d-block d-md-none">START Summit Expedition</h3>
      </div>
      
      <div class="text-white row row-cols-3 g-3 mb-4" id="bingo-grid">
        <!-- TypeScript generated content goes here -->
      </div>
      <div class="text-white row">
        <div class="col-sm text-center mb-2">
          <a href="#" style="color: inherit; text-decoration: none;" data-bs-toggle="modal" data-bs-target="#modal-how-to-play">
            <button type="button" class="btn btn-lg text-white w-100 w-md-80 fw-bold"><h3 class="h-upper">How to play</h3></button>
          </a>
        </div>
        <div class="col-sm text-center mb-2">
          <a href="https://forms.gle/LKfn3z9owzeEZ6Ch9" target="_blank" style="color: inherit; text-decoration: none;">
            <button type="button" class="btn btn-lg text-white w-100 w-md-80 fw-bold"><h3 class="h-upper">Submit results</h3></button>
          </a>
        </div>
      </div>


      <div class="modal fade" id="modal-how-to-play" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-body">
              <div class="position-absolute top-0 end-0">
                <button type="button" class="btn-close btn-close-white p-2" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div >
                <h3 class="text-center mb-2 h-upper">Rules of the Expedition</h3>
                <p class="card-text lead" text-center>
                  Welcome to the START Summit Expedition!
                  <br/>
                  Over the coming days you will embark on a great expedition from the Base Camp to the START Summit. Think of these 12 tasks as an informal guide to have a great START Summit experience. Bonus: there are prizes!
                  <br/>
                  <ul class="lead">
                    <li>Each task grants you points required for the final prizes</li>
                    <li>To redeem your points you need a short proof, usually in the form of a picture</li>
                    <li>Upload the proofs by tapping "SUBMIT RESULTS"</li>
                    <li>START will count your points and get back to you with your prize</li>
                  </ul>
                  
                  <b class="lead fw-bold">Godspeed on your expedition!</b>
                </p>

                <hr />

                <div class="row row-cols-3 g-3">
                  
                  <div class="col">
                    <div class="card shadow-lg h-100">
                      <h4 class="text-center mb-1">25 Points</h4>
                      <div class="ratio ratio-1x1">
                        <img src="https://gitlab.com/remy.moll/starthack-bingo/-/raw/main/public/img/gift_chocolate.svg" class="img-fluid rounded-start mx-auto d-block prize_img p-2" alt="prize image">
                      </div>
                      <h6 class="text-center mb-1">Chocolate</h6>
                    </div>
                  </div>   

                  <div class="col">
                    <div class="card shadow-lg h-100">
                      <h4 class="text-center mb-1">50 Points</h4>
                      <div class="ratio ratio-1x1">
                        <img src="https://gitlab.com/remy.moll/starthack-bingo/-/raw/main/public/img/gift_goodies.svg" class="img-fluid rounded-start mx-auto d-block prize_img p-2" alt="prize image">
                      </div>
                      <h6 class="text-center mb-1">Summit Goodies</h6>
                    </div>
                  </div>
                
                  <div class="col">
                    <div class="card h-100 main-prize">
                      <h4 class="text-center mb-1">75 Points</h4>
                      <div class="ratio ratio-1x1">
                          <img src="https://gitlab.com/remy.moll/starthack-bingo/-/raw/main/public/img/gift_nft.svg" class="img-fluid rounded-start mx-auto d-block prize_img p-2" alt="prize image">
                        </div>
                      <h6 class="text-center mb-1">NFT</h6>
                    </div>
                  </div>

                </div>

              </div>
            </div>
          </div>
        </div>
      </div>


    </main>
    <script type="module">
        import "./app.ts";
    </script>
    <!-- <script src="../public/js/app.js"></script> -->


  </body>
</html>
